> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadcab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List bank cities



## OpenAPI

````yaml GET /remittance/bankCity
openapi: 3.1.0
info:
  title: Nadcab Labs Card Issuing API
  version: 1.0.0
  description: >-
    Issue and manage crypto-funded virtual and physical cards, cardholders,
    wallet deposits and remittances.
servers:
  - url: https://cc.nadcab.com/api/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Card BINs
    description: List card BINs you can issue on.
  - name: Account
    description: Wallet balance, deposits and withdrawals.
  - name: API settings
    description: Webhook URL, IP allowlist and card data encryption key.
  - name: Cards
    description: Create, fund, freeze and close cards.
  - name: Cardholders
    description: Create and manage cardholders for B2C card programs.
  - name: Remittance
    description: Send fiat bank transfers funded from your wallet.
paths:
  /remittance/bankCity:
    get:
      tags:
        - Remittance
      summary: List bank cities
      operationId: listBankCities
      parameters:
        - name: payout_currency
          in: query
          required: true
          description: Transfer currency
          schema:
            type: string
            example: AUD
        - name: parent_code_id
          in: query
          required: true
          description: >-
            Use selectValues[0].valueId returned for fieldName=receiverBankState
            by the Required transaction fields endpoint
          schema:
            type: string
            example: Western Australia
        - name: keyword
          in: query
          required: false
          description: Keyword search
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: Limit
          schema:
            type: integer
            example: '100'
        - name: page
          in: query
          required: false
          description: Page
          schema:
            type: integer
            example: '1'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            payout_currency:
                              type: string
                            parent_code_id:
                              type: string
                            value:
                              type: string
                            value_id:
                              type: string
                            created_at:
                              type: string
                            updated_at:
                              type: string
                          required:
                            - payout_currency
                            - parent_code_id
                            - value
                            - value_id
                            - created_at
                            - updated_at
                      first_page_url:
                        type: string
                      from:
                        type: integer
                      last_page:
                        type: integer
                      last_page_url:
                        type: string
                      links:
                        type: array
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      next_page_url:
                        type: string
                      path:
                        type: string
                      per_page:
                        type: integer
                      prev_page_url:
                        type: 'null'
                      to:
                        type: integer
                      total:
                        type: integer
                    required:
                      - current_page
                      - data
                      - first_page_url
                      - from
                      - last_page
                      - last_page_url
                      - links
                      - next_page_url
                      - path
                      - per_page
                      - prev_page_url
                      - to
                      - total
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: success
                data:
                  current_page: 1
                  data:
                    - payout_currency: AUD
                      parent_code_id: Western Australia
                      value: Binduli
                      value_id: Binduli
                      created_at: '2025-05-27 16:13:15'
                      updated_at: '2025-05-27 16:13:15'
                    - payout_currency: AUD
                      parent_code_id: Western Australia
                      value: Binningup
                      value_id: Binningup
                      created_at: '2025-05-27 16:13:15'
                      updated_at: '2025-05-27 16:13:15'
                    - payout_currency: AUD
                      parent_code_id: Western Australia
                      value: Binnu
                      value_id: Binnu
                      created_at: '2025-05-27 16:13:15'
                      updated_at: '2025-05-27 16:13:15'
                    - payout_currency: AUD
                      parent_code_id: Western Australia
                      value: Cockatoo Island
                      value_id: Cockatoo Island
                      created_at: '2025-05-27 16:13:15'
                      updated_at: '2025-05-27 16:13:15'
                    - payout_currency: AUD
                      parent_code_id: Western Australia
                      value: Birchmont
                      value_id: Birchmont
                      created_at: '2025-05-27 16:13:15'
                      updated_at: '2025-05-27 16:13:15'
                    - payout_currency: AUD
                      parent_code_id: Western Australia
                      value: Cockburn Central
                      value_id: Cockburn Central
                      created_at: '2025-05-27 16:13:15'
                      updated_at: '2025-05-27 16:13:15'
                    - payout_currency: AUD
                      parent_code_id: Western Australia
                      value: Bluff Point
                      value_id: Bluff Point
                      created_at: '2025-05-27 16:13:15'
                      updated_at: '2025-05-27 16:13:15'
                    - payout_currency: AUD
                      parent_code_id: Western Australia
                      value: Cocklebiddy
                      value_id: Cocklebiddy
                      created_at: '2025-05-27 16:13:15'
                      updated_at: '2025-05-27 16:13:15'
                    - payout_currency: AUD
                      parent_code_id: Western Australia
                      value: Blythewood
                      value_id: Blythewood
                      created_at: '2025-05-27 16:13:15'
                      updated_at: '2025-05-27 16:13:15'
                    - payout_currency: AUD
                      parent_code_id: Western Australia
                      value: Codjatotine
                      value_id: Codjatotine
                      created_at: '2025-05-27 16:13:15'
                      updated_at: '2025-05-27 16:13:15'
                  from: 1
                  last_page: 179
                  per_page: 10
                  to: 10
                  total: 1788
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your API key from Console → Settings → Key & Access, sent as
        `Authorization: Bearer ncl_...`.

````